--Need to add a read only filegroup first to demonstrate
ALTER DATABASE AdventureWorks
ADD FILEGROUP ReadOnlyFG1
GO

-- Add a file to the Filegroup
ALTER DATABASE AdventureWorks 
ADD FILE 
(    NAME = AdventureWorks_ReadOnlyData,
    FILENAME = 'C:\mssql2005\data\AdventureWorks_ReadOnlyData.ndf',
    SIZE = 5MB,
    MAXSIZE = 100MB,
    FILEGROWTH = 5MB) TO FILEGROUP ReadOnlyFG1
go

--Create a table on the ReadOnly filegroup
CREATE TABLE Adventureworks.dbo.MyReadOnlyTable
  ( FirstName varchar(50),
    LastName varchar(50),
	EMailAddress char(1000) )
ON ReadOnlyFG1

--Insert some data into the new read only Filegroup
insert Adventureworks.dbo.MyReadOnlyTable
 select LastName, FirstName, 'xxx' 
 from Adventureworks.person.contact

--Make the filegroup readonly
ALTER DATABASE [AdventureWorks] MODIFY FILEGROUP [ReadOnlyFG1] READONLY
