--Need to backup the readonly file group the was created or it will be included in the partial backup
BACKUP DATABASE [AdventureWorks] 
 FILEGROUP = N'ReadOnlyFG1' 
 TO  DISK = N'C:\mssql2005\backup\AdventureWorks_ReadOnlyFG.bak' 
 WITH NOFORMAT, NOINIT,  NAME = N'AdventureWorks-Full Filegroup Backup',
 SKIP, NOREWIND, NOUNLOAD,  STATS = 10

--Create the Partial Database Backup
--It will not contain the data from readonly filegroup
--The partial database backup can be restored without affecting the data in the readonly filegroup
BACKUP DATABASE [AdventureWorks] READ_WRITE_FILEGROUPS
 TO  DISK = N'C:\mssql2005\backup\AdventureWorks_Partial.bak' 
 WITH NOFORMAT, INIT,  NAME = N'AdventureWorks-Partial Database Backup', 
 SKIP, NOREWIND, NOUNLOAD,  STATS = 10

--It is possible to backup the readonly file group(s) as well by listing the
--readonly file groups in the backup command as shown in the following backup command
BACKUP DATABASE [AdventureWorks] FILEGROUP = 'ReadOnlyFG1', READ_WRITE_FILEGROUPS
 TO  DISK = N'C:\mssql2005\backup\AdventureWorks_Partial_WithReadOnly.bak' 
 WITH NOFORMAT, INIT,  NAME = N'AdventureWorks-Partial Database Backup', 
 SKIP, NOREWIND, NOUNLOAD,  STATS = 10
