
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.PrinterCartridge') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP TABLE dbo.PrinterCartridge

CREATE TABLE dbo.PrinterCartridge
	(
	CartridgeId int IDENTITY (1000, 1) NOT NULL,
	PrinterID int NOT NULL,
	CartridgeName varchar(50) NOT NULL,
	CartridgeColor varchar(50) NOT NULL,
	CartrideDescription varchar(255) NULL,
	InstallDate datetime NOT NULL
	)
GO

insert PrinterCartridge
 (PrinterID, CartridgeName, CartridgeColor, CartrideDescription, InstallDate)
values (1, 'inkjet', 'black','laser printer cartridge', '8/1/05')

select CartridgeId, PrinterID, CartridgeName 
 from PrinterCartridge

/* results from previous SELECT statement
CartridgeId PrinterID   CartridgeName
----------- ----------- --------------------------------------------------
1000        1           inkjet
*/