--Listing 23.15 - Passing a Table as a Parameter to a Stored Procedure for Dynamic Query Execution
CREATE  proc find_data @table varchar(128)
as

exec ('select * from ' + @table)
return
go

exec find_data @table = 'publishers'
go

/*
pub_id pub_name                    city            state country
------ --------------------------- --------------- ----- ---------
0736   New Moon Books              Boston          MA    USA
0877   Binnet & Hardley            Washington      DC    USA
1389   Algodata Infosystems        Berkeley        CA    USA
1622   Five Lakes Publishing       Chicago         IL    USA
1756   Ramona Publishers           Dallas          TX    USA

9952   Scootney Books              New York        NY    USA
9999   Lucerne Publishing          Paris           NULL  France
*/
