if exists (select * from sysobjects where id = object_id('dbo.cust_upd_orders') 
        and sysstat & 0xf = 8)
        drop trigger dbo.cust_upd_orders
GO
CREATE TRIGGER trI_au_upd ON authors
INSTEAD OF UPDATE
AS
PRINT 'TRIGGER OUTPUT: ' 
+CONVERT(VARCHAR(5), @@ROWCOUNT) + ' rows were updated.'
GO


UPDATE authors
SET au_fname = 'Rachael'
WHERE state = 'UT'
GO
--TRIGGER OUTPUT: 1 rows were updated.

SELECT au_fname, au_lname FROM authors
WHERE state = 'UT'
GO

/*
au_fname             au_lname
-------------------- ----------------------------------------
Johann Wolfgang      von Goethe
*/