
USE [bigpubs]
IF  EXISTS (SELECT * FROM sys.triggers WHERE name = N'tr_TableAudit' AND parent_class=0)
DROP TRIGGER [tr_TableAudit] ON DATABASE
go

CREATE TRIGGER tr_TableAudit 
ON DATABASE 
FOR DDL_TABLE_EVENTS
AS 
   PRINT 'You must disable the TableAudit trigger in order to change any table in this database' 
   ROLLBACK
GO