--DATABASE SCOPED DDL TRIGGERS
select left(name,20) 'Name', create_date, modify_date, is_disabled
 from sys.triggers 
 where parent_class = 0

--Name                 create_date             modify_date             is_disabled
---------------------- ----------------------- ----------------------- -----------
--tr_TableAudit        2005-06-18 12:48:43.140 2005-06-18 12:48:43.140 0
--tr_ddl_IndexAudit    2005-06-22 06:35:10.233 2005-06-22 06:35:10.233 0

--SERVER SCOPED DDL TRIGGERS
select left(name,20) 'Name', create_date, modify_date, is_disabled
 from sys.server_triggers  

--Name                 create_date             modify_date             is_disabled
---------------------- ----------------------- ----------------------- -----------
--tr_LoginAudit        2005-06-18 12:13:46.077 2005-06-18 12:13:46.077 0
