--LISTING 30.2 Returning the Top 10 Largest Ad Hoc Query Plans

select top 10 objtype, usecounts, size_in_bytes, plan_handle,
-- the following removes newline and carriage return from the sql text
replace(replace( text, char(13), ' '), char(10), ' ') as sqltext
from sys.dm_exec_cached_plans as p
cross apply sys.dm_exec_sql_text (p.plan_handle)
where cacheobjtype = 'Compiled Plan'
and objtype = 'Adhoc'
order by size_in_bytes desc, usecounts desc