--LISTING 30.4 Query Against sys.indexes Catalog View to Get Index Names and IDs

select 'Table name' = convert(char(20), object_name(object_id)),
'Index name' = convert(char(30), name),
'Index ID' = index_id,
'Index Type' = convert(char(15), type_desc)
from sys.indexes where object_id > 99 --only system tables have id less than 99
and index_id between 1 and 254 /* do not include rows for text columns
or tables without a clustered index*/
/* do not include auto statistics */
and is_hypothetical = 0
and objectproperty(object_id, 'IsUserTable') = 1
order by 1, 3
go