--Listing 30.5 - Specifying the USE PLAN Query Option

select st.stor_name, s.ord_date
   from sales s join stores st on s.stor_id = st.stor_id
   WHERE st.state = 'NY'
OPTION (USE PLAN N'
<ShowPlanXML xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" Version="1.0" Build="9.00.2047.00" xmlns="http://schemas.microsoft.com/sqlserver/2004/07/showplan">
  <BatchSequence>
    <Batch>
      <Statements>
        <StmtSimple StatementCompId="1" StatementEstRows="10723.8" StatementId="1" StatementOptmLevel="FULL" StatementSubTreeCost="5.01066" StatementText="select st.stor_name, s.ord_date&#xD;&#xA;   from sales s inner merge join stores st on s.stor_id = st.stor_id&#xD;&#xA;    and st.state = ''NY''&#xD;&#xA;" StatementType="SELECT">
          <StatementSetOptions ANSI_NULLS="false" ANSI_PADDING="false" ANSI_WARNINGS="false" ARITHABORT="true" CONCAT_NULL_YIELDS_NULL="false" NUMERIC_ROUNDABORT="false" QUOTED_IDENTIFIER="false" />
          <QueryPlan DegreeOfParallelism="0" CachedPlanSize="11">
            <RelOp AvgRowSize="39" EstimateCPU="0.439461" EstimateIO="0.319573" EstimateRebinds="0" EstimateRewinds="0" EstimateRows="10723.8" LogicalOp="Inner Join" NodeId="0" Parallel="false" PhysicalOp="Merge Join" EstimatedTotalSubtreeCost="5.01066">
              <OutputList>
                <ColumnReference Database="[bigpubs2005]" Schema="[dbo]" Table="[sales]" Alias="[s]" Column="ord_date" />
                <ColumnReference Database="[bigpubs2005]" Schema="[dbo]" Table="[stores]" Alias="[st]" Column="stor_name" />
              </OutputList>
              <RunTimeInformation>
                <RunTimeCountersPerThread Thread="0" ActualRows="10859" ActualEndOfScans="1" ActualExecutions="1" />
              </RunTimeInformation>
              <Merge ManyToMany="true">
                <InnerSideJoinColumns>
                  <ColumnReference Database="[bigpubs2005]" Schema="[dbo]" Table="[stores]" Alias="[st]" Column="stor_id" />
                </InnerSideJoinColumns>
                <OuterSideJoinColumns>
                  <ColumnReference Database="[bigpubs2005]" Schema="[dbo]" Table="[sales]" Alias="[s]" Column="stor_id" />
                </OuterSideJoinColumns>
                <Residual>
                  <ScalarOperator ScalarString="[bigpubs2005].[dbo].[sales].[stor_id] as [s].[stor_id]=[bigpubs2005].[dbo].[stores].[stor_id] as [st].[stor_id]">
                    <Compare CompareOp="EQ">
                      <ScalarOperator>
                        <Identifier>
                          <ColumnReference Database="[bigpubs2005]" Schema="[dbo]" Table="[sales]" Alias="[s]" Column="stor_id" />
                        </Identifier>
                      </ScalarOperator>
                      <ScalarOperator>
                        <Identifier>
                          <ColumnReference Database="[bigpubs2005]" Schema="[dbo]" Table="[stores]" Alias="[st]" Column="stor_id" />
                        </Identifier>
                      </ScalarOperator>
                    </Compare>
                  </ScalarOperator>
                </Residual>
                <RelOp AvgRowSize="19" EstimateCPU="0.185754" EstimateIO="3.82757" EstimateRebinds="0" EstimateRewinds="0" EstimateRows="168725" LogicalOp="Clustered Index Scan" NodeId="1" Parallel="false" PhysicalOp="Clustered Index Scan" EstimatedTotalSubtreeCost="4.01332">
                  <OutputList>
                    <ColumnReference Database="[bigpubs2005]" Schema="[dbo]" Table="[sales]" Alias="[s]" Column="stor_id" />
                    <ColumnReference Database="[bigpubs2005]" Schema="[dbo]" Table="[sales]" Alias="[s]" Column="ord_date" />
                  </OutputList>
                  <RunTimeInformation>
                    <RunTimeCountersPerThread Thread="0" ActualRows="168683" ActualEndOfScans="0" ActualExecutions="1" />
                  </RunTimeInformation>
                  <IndexScan Ordered="true" ScanDirection="FORWARD" ForcedIndex="false" NoExpandHint="false">
                    <DefinedValues>
                      <DefinedValue>
                        <ColumnReference Database="[bigpubs2005]" Schema="[dbo]" Table="[sales]" Alias="[s]" Column="stor_id" />
                      </DefinedValue>
                      <DefinedValue>
                        <ColumnReference Database="[bigpubs2005]" Schema="[dbo]" Table="[sales]" Alias="[s]" Column="ord_date" />
                      </DefinedValue>
                    </DefinedValues>
                    <Object Database="[bigpubs2005]" Schema="[dbo]" Table="[sales]" Index="[UPKCL_sales]" Alias="[s]" />
                  </IndexScan>
                </RelOp>
                <RelOp AvgRowSize="37" EstimateCPU="0.0178307" EstimateIO="0.212755" EstimateRebinds="0" EstimateRewinds="0" EstimateRows="1024" LogicalOp="Clustered Index Scan" NodeId="2" Parallel="false" PhysicalOp="Clustered Index Scan" EstimatedTotalSubtreeCost="0.230585">
                  <OutputList>
                    <ColumnReference Database="[bigpubs2005]" Schema="[dbo]" Table="[stores]" Alias="[st]" Column="stor_id" />
                    <ColumnReference Database="[bigpubs2005]" Schema="[dbo]" Table="[stores]" Alias="[st]" Column="stor_name" />
                  </OutputList>
                  <RunTimeInformation>
                    <RunTimeCountersPerThread Thread="0" ActualRows="1024" ActualEndOfScans="1" ActualExecutions="1" />
                  </RunTimeInformation>
                  <IndexScan Ordered="true" ScanDirection="FORWARD" ForcedIndex="false" NoExpandHint="false">
                    <DefinedValues>
                      <DefinedValue>
                        <ColumnReference Database="[bigpubs2005]" Schema="[dbo]" Table="[stores]" Alias="[st]" Column="stor_id" />
                      </DefinedValue>
                      <DefinedValue>
                        <ColumnReference Database="[bigpubs2005]" Schema="[dbo]" Table="[stores]" Alias="[st]" Column="stor_name" />
                      </DefinedValue>
                    </DefinedValues>
                    <Object Database="[bigpubs2005]" Schema="[dbo]" Table="[stores]" Index="[UPK_storeid]" Alias="[st]" />
                    <Predicate>
                      <ScalarOperator ScalarString="[bigpubs2005].[dbo].[stores].[state] as [st].[state]=''NY''">
                        <Compare CompareOp="EQ">
                          <ScalarOperator>
                            <Identifier>
                              <ColumnReference Database="[bigpubs2005]" Schema="[dbo]" Table="[stores]" Alias="[st]" Column="state" />
                            </Identifier>
                          </ScalarOperator>
                          <ScalarOperator>
                            <Const ConstValue="''NY''" />
                          </ScalarOperator>
                        </Compare>
                      </ScalarOperator>
                    </Predicate>
                  </IndexScan>
                </RelOp>
              </Merge>
            </RelOp>
          </QueryPlan>
        </StmtSimple>
      </Statements>
    </Batch>
  </BatchSequence>
</ShowPlanXML>')