--Listing 35.12 - Performing Aggregation with a Recursive CTE
WITH PartsCTE(parentpartid, lvl)
AS
(
  SELECT parentpartid, 0
  FROM PARTS
  WHERE parentpartid is not null
  UNION ALL
  SELECT P.parentpartid, lvl+1
  FROM Parts as P
    JOIN PartsCTE as PP
      ON PP.parentpartid = P.Partid
  WHERE P.parentpartid is not null
)
SELECT C.parentpartid, P.PartName, COUNT(*) AS cnt
FROM PartsCTE C
JOIN PArts P on C.ParentPartID = P.PartID
GROUP BY C.parentpartid, P.PArtName
go

/*
parentpartid PartName                       cnt
------------ ------------------------------ -----------
1            DriveTrain                     20
2            Engine                         8
3            Transmission                   8
8            Carburetor                     1
13           Piston                         1
16           Gear Box                       5
22           Car                            23
*/
