--Listing 35.14 - Controlling the Number of Recursions with MAXRECURSION
WITH PartsCTE(partid, partname, parentpartid, lvl)
AS
(
  SELECT partid, partname, parentpartid, 0
  FROM PARTS
  WHERE partid = 22 -- Car
  UNION ALL

  SELECT P.partid, P.partname, P.parentpartid, PP.lvl+1
  FROM Parts as P
    JOIN PartsCTE as PP
      ON P.partid = PP.Partid
)
SELECT PartID, Partname, ParentPartid, lvl
FROM PartsCTE
OPTION (MAXRECURSION 10)
go

/*
Msg 530, Level 16, State 1, Line 2
The statement terminated. The maximum recursion 10 has been exhausted before
 statement completion.
*/
