--Listing 35.18 - Using RANK and DENSE_RANK
select top 10 WITH TIES p.pub_id, pub_name, count(*) as num_titles,
RANK() OVER (order by count(*) DESC) as Rank,
DENSE_RANK() OVER (order by count(*) DESC) as Dense_Rank
from publishers p join titles t on p.pub_id = t.pub_id
group by p.pub_id, p.pub_name
order by count(*) desc
go

/*
pub_id pub_name                       num_titles  Rank  Dense_Rank
------ ------------------------------ ----------- ----- ----------
9911   Jones Jones and Johnson        44          1     1
9904   Strawberry Publications        34          2     2
9907   Incandescent Imprints          33          3     3
9905   Gooseberry Titles              32          4     4
9909   North American Press           30          5     5
9912   Landlocked Books               30          5     5
9913   Blackberry's                   28          7     6
9914   Normanskill Printing Company   28          7     6
9910   Sidney's Books and More        28          7     6
9906   Tomato Books                   28          7     6
9903   Kumquat Technical Publishing   28          7     6
*/
