--Listing 35.2 - Using TOP in an Insert with a UNION ALL Query
insert top (50) into top_sales
   select stor_id, ord_num, ord_date, qty, payterms, title_id from sales
      where qty >= 1800
   union all
   select stor_id, ord_num, ord_date, qty, payterms, title_id from sales_big
      where qty >= 1800
   order by qty desc
go

delete from sales_big
   where sales_id in (select top 10 sales_id
                        from sales_big order by ord_date)
go
