--Listing 35.3 - Implementing a Purge/Archive Scenario, Using the OUTPUT Clause
declare @purge_date datetime,
        @rowcount int
-- find the oldest month in the sales_big table
select @purge_date = dateadd(day, - (datepart(day, min(ord_date))) + 1,
                             dateadd(month, 1, min(ord_date))),
       @rowcount = 1000
   from sales_big
while @rowcount = 1000
begin
    delete top (1000) sales_big
       output deleted.* into sales_big_archive
       where ord_date < @purge_date
    set @rowcount = @@rowcount
end
go
