using System;
using System.Data;
using System.Data.Sql;
using System.Data.SqlTypes;
using Microsoft.SqlServer.Server;

[Serializable]
[Microsoft.SqlServer.Server.SqlUserDefinedAggregate(
  Format.Native,
  IsInvariantToDuplicates=false,
  IsInvariantToNulls=true,
  IsInvariantToOrder=true,
  IsNullIfEmpty=true
)]
public struct SumPrime
{
  SqlInt64 Sum;

  private bool IsPrime(SqlInt64 Number)
  {
    for (int i = 2; i < Number; i++)
    {
      if (Number % i == 0)
      {
        return false;
       }
     }
     return true;
  }

  public void Init()
  {
    Sum = 0;
  }

  public void Accumulate(SqlInt64 Value)
  {
    if (!Value.IsNull && IsPrime(Value) && Value > 1)
      Sum += Value;
  }

  public void Merge(SumPrime Prime)
  {
    Sum += Prime.Sum;
  }

  public SqlInt64 Terminate()
  {
        return Sum;
  }
}