[SqlProcedure]
public static void SpTrans()
{
  TransactionScope ts = null;
  try
  {
    SqlContext.Pipe.Send("Proc Started");
    if (Transaction.Current != null)
    {
      SqlContext.Pipe.Send("A) Current tran is not null.");
      SqlContext.Pipe.Send("A) About to rollback current tran...");                
      Transaction.Current.Rollback(
        new ApplicationException("I wanted to do this."));
      SqlContext.Pipe.Send("A) Rollback Complete.");
    }
    else
    {
      SqlContext.Pipe.Send("A) Current tran is null.");
    }

    ts = new System.Transactions.TransactionScope();
    SqlContext.Pipe.Send("New Tran Started");
    if (Transaction.Current != null)
      SqlContext.Pipe.Send("B) Current tran is not null.");
    else
      SqlContext.Pipe.Send("B) Current tran is null.");
    
    if (ts != null)
      ts.Complete();
      SqlContext.Pipe.Send("B) Complete() is Complete.");
  }
  finally
  {
    if (ts != null)
      ts.Dispose();
    SqlContext.Pipe.Send("Proc Complete");
  } 
}
