SELECT
    Reason.ScrapReasonId '*',
    'Comment: Name = ' + Name 'comment()',
    ModifiedDate 'processing-instruction(ModDatePI)',
    (
        SELECT WorkOrderId 'data()'
        FROM Production.WorkOrder WorkOrder
        JOIN Production.ScrapReason Reason
        ON Reason.ScrapReasonId = WorkOrder.ScrapReasonID
        WHERE Reason.ScrapReasonId = 12
        ORDER BY WorkOrderId desc
        FOR XML PATH('')
    ) 'WorkOrders/@WorkOrderIds'
FROM Production.ScrapReason Reason
WHERE Reason.ScrapReasonId = 12
FOR XML PATH('ScrappedWorkOrder'), ROOT('ScrappedWorkOrders')