WITH XMLNAMESPACES
(
    'http://ns.adobe.com/Extensibility/1.0/' as x,
    'http://ns.adobe.com/AdobeIllustrator/10.0/' as i,
    'http://ns.adobe.com/Graphs/1.0/' as graph,
    'http://www.w3.org/1999/xlink' as xlink,
    'http://ns.adobe.com/AdobeSVGViewerExtensions/3.0/' as a,
     DEFAULT 'http://www.w3.org/2000/svg'
)
SELECT
    IllustrationID,
    Diagram.value('/svg[1]/@height', 'decimal(16,4)') SVGHeightAsSQLDecimal
FROM Production.Illustration