DECLARE @TotalPurchaseYTD decimal(6,2)
SET @TotalPurchaseYTD = 8248.99
SELECT Demographics.query('
    declare default element namespace
      "http://schemas.microsoft.com/sqlserver/2004/07/adventure-works/IndividualSurvey";    
    for $IS in /IndividualSurvey
    where $IS/TotalPurchaseYTD[.= sql:variable("@TotalPurchaseYTD")]
    return
    element Contact
    {
        attribute ID { sql:column("C.ContactID") },
        attribute YTDTotal { sql:variable("@TotalPurchaseYTD") },
        element FullName { concat(sql:column("FirstName"), " ",
          sql:column("LastName")) }
    }
')
FROM Sales.Individual I
JOIN Person.Contact C ON
C.ContactID = I.ContactID
AND C.ContactID = 12731
