SELECT Top 1
    Photo.ProductPhotoId, ThumbNailPhoto, Color, Offer.SpecialOfferId Id,
    Product.ProductId Id, Name, Description [Desc], Size
FROM Sales.SpecialOffer Offer
JOIN Sales.SpecialOfferProduct OP ON
OP.SpecialOfferId = Offer.SpecialOfferId
JOIN Production.Product Product ON
Product.ProductId = OP.ProductId
JOIN Production.ProductProductPhoto PhotoJunction ON
    Product.ProductId = PhotoJunction.ProductId
JOIN Production.ProductPhoto Photo ON
    Photo.ProductPhotoId = PhotoJunction.ProductPhotoId
WHERE Name LIKE 'Mountain Bike%'
FOR XML AUTO, ELEMENTS XSINIL, ROOT('MountainBikeSpecials')