EPT_SQL2005UnleashedExamples SQLEndpointProxy = new EPT_SQL2005UnleashedExamples();
SQLEndpointProxy.Credentials = System.Net.CredentialCache.DefaultCredentials;
opensql.SqlParameter[] sqlParams = new opensql.SqlParameter[1]; 

// note: using opensql.SqlParameter avoids namespace collisions with System.Data.SqlClient.SqlParameter
sqlParams[0] = new opensql.SqlParameter();
sqlParams[0].name = "EmployeeId";
sqlParams[0].Value = int.Parse(txtEmployeeId.Text);
object[] ReturnArray = SQLEndpointProxy.sqlbatch(txtSQLBatch.Text, ref sqlParams);

if (ReturnArray.Length > 0)
{
    foreach (Object Obj in ReturnArray)
    {
        if (Obj is DataSet)
        {
            DataSet ds = (DataSet)Obj;
            if (ds.Tables.Count == 0)
            {
                lblResults.Text = "(No Results Found)";
            }
            else
            {
                gvData.DataSource = ds;
                gvData.DataBind();
            }
        }
    }
}
else
{
    lblResults.Text = "(No Results)";
}
