----------------------------------------------------
-- ON REMOTE SERVER -- SQL2005DIST in our example --
----------------------------------------------------
-- if needed, set the remote access to true --
use [master]
go
exec sp_configure 'remote access', 1
reconfigure
go
------------------------------------------------------------
-- add the remote server - from SQL2005DIST point of view -- (really the original local server)
use [master]
go
exec sp_addserver [DBARCHLT\SQL2005DEV]
-- exec sp_dropserver [DBARCHLT\SQL2005DEV]
go
EXEC sp_helpserver
go
---------------------------------------------------------
-- create a SQL Login to execute the stored procedure ---
CREATE LOGIN ForRPC WITH PASSWORD = 'password', CHECK_EXPIRATION = OFF, CHECK_POLICY = OFF,
    DEFAULT_DATABASE = [UnleashedRemoteDB]
GO
-------------------------------------------------------------------------------
-- Make this SQL Login available in the UnleashedRemoteDB database as a user --
USE [UnleashedRemoteDB]
GO
CREATE USER [ForRPC] FOR LOGIN [ForRPC]
GO
-- DROP USER [ForRPC]
-- go
------------------------------------------------------------------------
-- Now, grant execute permissions on the stored procedure to the user --
GRANT EXECUTE ON [UnleashedRemoteDB].[dbo].[Top10Customers] TO ForRPC
-- REVOKE EXECUTE ON [UnleashedRemoteDB].[dbo].[Top10Customers] TO ForRPC
go
-----------------------------------------------------------------------
-- Create the remotelogins mapping to the local login on SQL2005DIST --
exec sp_addremotelogin [DBARCHLT\SQL2005DEV], ForRPC, ForRPC
go
-- EXEC sp_dropremotelogin 'DBARCHLT\SQL2005DEV', 'ForRPC', 'ForRPC'
-- go 
sp_helpremotelogin
go




