
--Listing 46.14 - CREATE VIEW Statements for Outer Join Examples
CREATE VIEW dbo.STORES_V1 AS          
   SELECT STOR_ID, CITY FROM DBO.STORES WHERE STOR_ID BETWEEN 'A001' AND 'A005'
go                      
CREATE VIEW dbo.STORES_V2 AS
   SELECT STOR_ID, STATE FROM DBO.STORES WHERE STOR_ID BETWEEN 'A002' AND 'A007'
    UNION ALL
   SELECT 'A004', 'MA'
go

select * from dbo.stores_v1
select * from dbo.stores_v2

/*
STOR_ID CITY
------- --------------------
A001    Dublin
A002    Oakland
A003    Bisbee
A004    White Plains
A005    Thomaston

STOR_ID STATE
------- -----
A002    NJ
A003    AZ
A004    NY
A005    GA
A006    CA
A007    CA
A004    MA
*/
