--Listing 46.17 - Including Nonmatching Inner Table Rows That Do Not Match a WHERE Clause Search Condition
SELECT * FROM DBO.STORES_V1 V1
   LEFT OUTER JOIN DBO.STORES_V2 V2
    ON V1.STOR_ID = V2.STOR_ID
    WHERE (V2.STATE <> 'GA' or V2.STATE is NULL)
    ORDER BY V1.STOR_ID ,V2.STATE
go

/*
STOR_ID CITY                 STOR_ID STATE
------- -------------------- ------- -----
A001    Dublin               NULL    NULL
A002    Oakland              A002    NJ
A003    Bisbee               A003    AZ
A004    White Plains         A004    MA
A004    White Plains         A004    NY
*/

SELECT * FROM DBO.STORES_V1 V1
   LEFT OUTER JOIN DBO.STORES_V2 V2
    ON V1.STOR_ID = V2.STOR_ID
go

/*
STOR_ID CITY                 STOR_ID STATE
------- -------------------- ------- -----
A001    Dublin               NULL    NULL
A002    Oakland              A002    NJ
A003    Bisbee               A003    AZ
A004    White Plains         A004    NY
A004    White Plains         A004    MA
A005    Thomaston            A005    GA
*/
