--Listing 46.18 - Specifying an ON Clause Search Condition on the Outer Table
SELECT * FROM DBO.STORES_V1 V1
   LEFT OUTER JOIN DBO.STORES_V2 V2
   ON V1.STOR_ID = V2.STOR_ID
   AND V1.CITY > 'N'
ORDER BY V1.STOR_ID ,V2.STATE
go

/*
STOR_ID CITY                 STOR_ID STATE
------- -------------------- ------- -----
A001    Dublin               NULL    NULL
A002    Oakland              A002    NJ
A003    Bisbee               NULL    NULL
A004    White Plains         A004    MA
A004    White Plains         A004    NY
A005    Thomaston            A005    GA
*/
