--Listing 46.21 - An Outer Join Nested in an Inner Join
select left(au_lname, 20) as au_lname, au_fname, left(title, 20) as title
 from dbo.authors a
left join dbo.titleauthor ta on a.au_id = ta.au_id
 join dbo.titles t on ta.title_id = t.title_id
where a.state = 'NE'
go

/*
au_lname             au_fname             title
-------------------- -------------------- --------------------
Patterson            Richard North        The Lasko Tangent
Patterson            Richard North        The Outside Man
Patterson            Richard North        Private Screening
Patterson            Richard North        Eyes of a Child
Patterson            Richard North        Degree of Guilt
Patterson            Richard North        Escape the Night
*/

select left(au_lname, 20) as au_lname, au_fname, left(title, 20) as title
   from dbo.authors a
   left join dbo.titleauthor ta on a.au_id = ta.au_id
   left join dbo.titles t on ta.title_id = t.title_id
   where a.state = 'NE'
go

/*
au_lname             au_fname             title
-------------------- -------------------- --------------------
Patterson            Richard North        The Lasko Tangent
Patterson            Richard North        The Outside Man
Patterson            Richard North        Private Screening
Patterson            Richard North        Eyes of a Child
Patterson            Richard North        Degree of Guilt
Patterson            Richard North        Escape the Night
McBadden             Heather              NULL
*/
