--Listing 46.23 - Specifying a Search Condition in a Full Outer Join ON Clause
SELECT * FROM DBO.STORES_V1 V1
   FULL OUTER JOIN DBO.STORES_V2 V2
     ON V1.STOR_ID = V2.STOR_ID
     AND V1.STOR_ID > 'A003'
   ORDER BY V1.STOR_ID ,V2.STOR_ID ,V2.STATE
go

/*
STOR_ID CITY                 STOR_ID STATE
------- -------------------- ------- -----
NULL    NULL                 A002    NJ
NULL    NULL                 A003    AZ
NULL    NULL                 A006    CA
NULL    NULL                 A007    CA
A001    Dublin               NULL    NULL
A002    Oakland              NULL    NULL
A003    Bisbee               NULL    NULL
A004    White Plains         A004    MA
A004    White Plains         A004    NY
A005    Thomaston            A005    GA
*/
