--Listing 46.27 - Using the ROW_NUMBER() Function to Generate Unique Row IDs
SELECT ROW_NUMBER() OVER (ORDER BY au_id, au_lname, au_fname) AS ROWID, *
   FROM dbo.authors_import
go

/*
ROWID                au_id       au_lname                       au_fname
-------------------- ----------- ------------------------------ ----------------
1                    378-33-9373 Benchley                       Nate
2                    378-33-9373 Benchley                       Nathaniel
3                    409-56-7008 Bennet                         Abraham
4                    432-31-3829 Bate                           W. Jackson
5                    432-31-3829 Bate                           W. Jackson
6                    432-31-3829 Bate                           W. Jackson
7                    437-99-3329 Bauer                          Caroline Feller
8                    499-84-5672 Alexander                      Lloyd
9                    499-84-5672 Alexander                      Lloyd
10                   681-61-9588 Ahlberg                        Allan
11                   739-35-5165 Ahlberg                        Janet
*/
