USE XCatMgmt
GO
CREATE PROC Publication.CatalogChangeQueueReader
AS
GO
CREATE QUEUE Publication.CatalogChangeQueue
WITH
STATUS = ON,
ACTIVATION 
(
	STATUS = ON,
	PROCEDURE_NAME = Publication.CatalogChangeQueueReader,
	MAX_QUEUE_READERS = 10,
	EXECUTE AS 'SSBTestUserName'
)
GO
USE AdventureWorks
GO
CREATE PROC Production.CatalogChangeAckQueueReader
AS
GO
CREATE QUEUE Production.CatalogChangeAckQueue
WITH
STATUS = ON,
ACTIVATION 
(
STATUS = ON,
	PROCEDURE_NAME = Production.CatalogChangeAckQueueReader,
	MAX_QUEUE_READERS = 10,
	EXECUTE AS 'SSBTestUserName'
)
