using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using Microsoft.SqlServer.Server;

public partial class StoredProcedures
{
    [Microsoft.SqlServer.Server.SqlProcedure]
    public static void ContextConnectionTest()
    {
        using (SqlConnection Context =
            new SqlConnection("context connection=true"))
        {
            using (SqlCommand TestCommand =
                new SqlCommand("SELECT TOP 10 * FROM Person.Contact", Context))
            {
                using (SqlDataAdapter Adapter =
                    new SqlDataAdapter(TestCommand))
                {
                    using (DataSet MyData = new DataSet())
                    {
                        Adapter.Fill(MyData);
                    }
                }
            }
        }
    }
}
