USE AdventureWorks
GO
DECLARE @mailitem_id int, @tab char(1)
SET @tab = char(13)

exec msdb.dbo.sp_send_dbmail 
    @subject='C. Adams, Contact Info', 
    @body='Attached is Carla Adams contact info, in CSV format.', 
    @recipients='test@samspublishing.com', 
    @query=N'SELECT ContactID, Title, FirstName, MiddleName, LastName, Phone
        FROM Person.Contact
        WHERE ContactId = 8',
    @execute_query_database='AdventureWorks',
    @attach_query_result_as_file=1,
    @query_attachment_filename='CAdams.csv',	
    @exclude_query_output=1,
    @query_result_separator=',',
    @mailitem_id=@mailitem_id OUTPUT

SELECT sent_status, sent_date
FROM msdb.dbo.sysmail_allitems
WHERE mailitem_id = @mailitem_id