-- to see the port associated with database mirroring endpoint --
select name, type_desc, port, ip_address from sys.tcp_endpoints
select name,role_desc,state_desc from sys.database_mirroring_endpoints

--*********************************--
--***  To CREATE a new endpoint ***-- WITNESS ROLE
--*********************************--
--CREATE ENDPOINT endpoint4mirroring
--STATE = STARTED
--AS TCP( LISTENER_PORT = 1450 )
--FOR DATABASE_MIRRORING (ROLE = WITNESS);

CREATE ENDPOINT [endpoint4mirroring] 
--	AUTHORIZATION [DBARCHLT\Paul Bertucci]
	STATE=STARTED
	AS TCP (LISTENER_PORT = 1450, LISTENER_IP = ALL)
	FOR DATA_MIRRORING (ROLE = WITNESS, AUTHENTICATION = WINDOWS NEGOTIATE
, ENCRYPTION = REQUIRED ALGORITHM RC4)

--*******************************************--
-- GRANTING Connection permissions for login --
--*******************************************--
GRANT CONNECT ON ENDPOINT::endpoint4mirroring TO [DBARCHLT\Paul Bertucci];
--*************************************--
--***  To DROP an existing endpoint ***--
--*************************************--
-- DROP ENDPOINT endpoint4mirroring;

--*************************************--
--*** To ALTER an existing endpoint ***--
--*************************************--
-- ALTER ENDPOINT endpoint4mirroring
-- STATE = STARTED
-- AS TCP( LISTENER_PORT = 1450 )
-- FOR DATABASE_MIRRORING (ROLE = WITNESS);