--Select the distinct yearly values 
select '01/01/' + convert(char(4),datepart (year,ord_date)) 'mm/mm/yy', count(*) 'rows'
 from sales_big
 group by '01/01/' + convert(char(4),datepart (year,ord_date))
 order by 1

/* results from the previous select
mm/mm/yy   rows
---------- -----------
01/01/1992 30
01/01/1993 613560
01/01/1994 616450
01/01/1995 457210
*/

--Create partition function with the yearly values to partition the data
CREATE PARTITION FUNCTION SalesBigPF1 (datetime)
AS RANGE RIGHT FOR VALUES ('01/01/1993', '01/01/1994', '01/01/1995')
GO
