CREATE TABLE [dbo].[sales_big_Partitioned](
	[sales_id] [int] IDENTITY(1,1) NOT NULL,
	[stor_id] [char](4) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[ord_num] [varchar](20) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[ord_date] [datetime] NOT NULL,
	[qty] [smallint] NOT NULL,
	[payterms] [varchar](12) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[title_id] [dbo].[tid] NOT NULL
) ON SalesBigPS1 (ord_date);  --this last statement is key to Partitioning the table

GO

--Insert data from the sales_big table into the new sales_big_partitioned table
SET IDENTITY_INSERT sales_big_Partitioned ON
GO
INSERT sales_big_Partitioned
 (sales_id, stor_id, ord_num, ord_date, qty, payterms, title_id)
 SELECT sales_id, stor_id, ord_num, ord_date, qty, payterms, title_id
  FROM sales_big