--Listing 23.10 - Modifying a Stored Procedure by Using ALTER PROCEDURE
ALTER PROCEDURE title_authors @state char(2) = '%'
AS
BEGIN
    SELECT a.au_lname, a.au_fname, t.title, t.pubdate
       FROM titles t
       INNER JOIN titleauthor ta ON t.title_id = ta.title_id
       RIGHT OUTER JOIN authors a ON ta.au_id = a.au_id
       where state like @state
    RETURN
END
