Listing 23.25[em]Passing a Variable List of Values into a Stored Procedure
IF EXISTS ( SELECT * FROM INFORMATION_SCHEMA.ROUTINES
               WHERE SPECIFIC_SCHEMA = N'dbo'
                 AND SPECIFIC_NAME = N'find_books_by_type')
   DROP PROCEDURE dbo.find_books_by_type
GO
create proc find_books_by_type @typelist varchar(8000)
as

exec ('select title_id, title = substring(title, 1, 40), type, price
         from titles where type in ('
       + @typelist + ') order by type, title_id')
go

set quoted_identifier off
exec find_books_by_type "'business', 'mod_cook', 'trad_cook'"
go

title_id title                                    type         price
-------- ---------------------------------------- ------------ ----------------
???author: please fix this too-long code line.-kitty
Done - RRR
BU1032   The Busy Executive's Database Guide      business     14.9532
BU1111   Cooking with Computers: Surreptitious Ba business     14.595
BU2075   You Can Combat Computer Stress!          business     15.894
BU7832   Straight Talk About Computers            business     14.9532
MC2222   Silicon Valley Gastronomic Treats        mod_cook     14.9532
MC3021   The Gourmet Microwave                    mod_cook     15.894
TC3218   Onions, Leeks, and Garlic: Cooking Secre trad_cook    0.0017
TC4203   Fifty Years in Buckingham Palace Kitchen trad_cook    14.595
TC7777   Sushi, Anyone?                           trad_cook    14.3279
