--Listing 23.7 - Column Name Validation in Stored Procedures
IF EXISTS ( SELECT * FROM INFORMATION_SCHEMA.ROUTINES
               WHERE SPECIFIC_SCHEMA = N'dbo'
                 AND SPECIFIC_NAME = N'get_authors_and_titles')
   DROP PROCEDURE dbo.get_authors_and_titles
GO
create proc get_authors_and_titles
as

select a.au_lname, au_fname, title, isbn_number
   from authors a join titleauthor ta on a.au_id = ta.au_id
   join titles t on t.title_id = ta.title_id
return
go

/*
Server: Msg 207, Level 16, State 1, Procedure get_authors_and_titles, Line 4
Invalid column name 'isbn_number'.
*/
