--Listing 23.8 - Runtime Failure of a Stored Procedure with an Invalid Object Reference
create proc get_authors_and_titles
as

select a.au_lname, au_fname, title, pub_date
   from authors a join titleauthor ta on a.au_id = ta.au_id
   join books t on t.title_id = ta.title_id

go

EXEC get_authors_and_titles
go

/*
Server: Msg 208, Level 16, State 1, Procedure get_authors_and_titles, Line 4
Invalid object name 'books'.
*/
