--Create a copy of the titles table in the BigPubs database
SELECT *
 INTO titles_copy
 FROM titles
GO
--add an AFTER trigger to this table for testing purposes
CREATE TRIGGER tc_tr ON titles_copy
 FOR INSERT, UPDATE, DELETE
 AS
 PRINT 'Inserted:'
 SELECT title_id, type, price FROM inserted
 PRINT 'Deleted:'
 SELECT title_id, type, price FROM deleted
 ROLLBACK TRANSACTION

/*
UPDATE titles_copy
 SET price = $15.05
 WHERE type LIKE '%cook%'
*/