--Listing 35.25 - A Standard Query to Return Total Sales of Titles, by Year
select t.title_id,
       datepart(year, ord_date) as year,
       sum(qty) as total_sales
from sales s join titles t on s.title_id = t.title_id
where t.type = 'business'
group by t.title_id, datepart(year, ord_date)
go

/*
title_id year        total_sales
-------- ----------- -----------
BU7832   1993        102975
BU1111   1993        104149
BU1032   1994        97131
BU1032   1995        59772
BU2075   1993        108995
BU1111   1995        72336
BU1032   1993        95556
BU2075   1994        117888
BU7832   1994        104616
BU2075   1995        84588
BU1111   1994        88116
BU7832   1995        78240
*/
