--Listing 35.28 - A Table-Valued Function That Returns the Top N Orders for stor_id
CREATE FUNCTION dbo.fn_GetTopOrders(@stor_id AS char(4), @n AS INT)
  RETURNS TABLE
AS
RETURN
  SELECT TOP(@n) *
  FROM dbo.sales
  WHERE stor_id = @stor_id
  ORDER BY qty DESC
GO

select * from dbo.fn_GetTopOrders ('B251', 3)
go

/*
stor_id ord_num              ord_date                qty    payterms     title_id
------- -------------------- ----------------------- ------ ------------ --------
B251    ONQQQQQQQQQQQQQQQ    1995-01-23 00:00:00.000 1740   Net 60       CH6808
B251    ONKKKKKKKKKKKKKKKK   1994-11-04 00:00:00.000 1704   Net 60       FI9420
B251    ONTTTTTTTTTTTTTTTT   1995-02-22 00:00:00.000 1560   Net 60       FI8000
*/
