--Listing 35.31 - Using a TRY...CATCH Construct for Error Handling in a T-SQL Batch
use bigpubs2005
go
BEGIN TRY
    INSERT INTO bigpubs2005.dbo.publishers
             (pub_id, pub_name, city, state, country)
       VALUES('9950', 'Sams Publishing', 'Indianapolis', 'IN', 'USA')
    -- if no error occurs, we should see this print statement
    print 'New Publisher added'
END TRY
BEGIN CATCH
    -- invoke the error_handler procedure
    exec error_handler
    -- return a non-zero status code
END CATCH
-- if successful execution, return 0
go
/*
Msg 50000, Level 16, State 1, Procedure error_handler, Line 18
Failed to add new publisher for the following reason:
 Error: 2627, Severity: 14, State: 1, in proc (null) at line 2,
 Message: "Violation of PRIMARY KEY constraint 'UPKCL_pubind'.
 Cannot insert duplicate key in object 'dbo.publishers'."
*/
