--Listing 35.5 - An Example of a Simple CTE
with sales_avg (stor_id, avg_qty, max_qty)
   as (select stor_id, avg(qty), max(qty)
        from sales
        group by stor_id)
select top 5 s.stor_id, s.ord_num,
             convert(varchar(10), ord_date, 101) as ord_date,
             qty, title_id, avg_qty, max_qty
    from sales s
    join sales_avg a on s.stor_id = a.stor_id
    where s.title_id = 'DR8514'
go

/*
stor_id ord_num              ord_date   qty    title_id avg_qty     max_qty
------- -------------------- ---------- ------ -------- ----------- -------
A004    ONGGGGGGGGGGGGGGG    09/13/1993 1224   DR8514   1008        1716
A068    ONEEEEEEEEEEE        09/02/1994 1572   DR8514   961         1572
A071    ONWWWWWWWWWWWWWWWWWW 08/20/1993 1728   DR8514   948         1728
A161    ONDDDDDDDDDDDD       05/25/1993 624    DR8514   829         1668
A203    ONGGGGGGGGGGGGGGGGGG 11/16/1993 1572   DR8514   1056        1692
*/
