--Listing 35.6 - An Example of Multiple CTEs in a Single Query
WITH store_orders(stor_id, cnt)
AS ( SELECT stor_id, COUNT(*) FROM sales
    GROUP BY stor_id ),
MinMaxCTE(MN, MX, Diff)
AS ( SELECT MIN(Cnt), MAX(Cnt), MAX(Cnt)-MIN(Cnt)
      FROM store_orders )
SELECT * FROM MinMaxCTE
go

/*
MN          MX          Diff
----------- ----------- -----------
1           22          21
*/
