private void btnGo_Click(object sender, EventArgs e)
{
  using (SqlConnection Connection =
           new SqlConnection(ConfigurationManager.AppSettings["SqlConn"]))
  {
    using (SqlCommand Command =
             new SqlCommand(
             @"SELECT TOP 10 * FROM HumanResources.JobCandidate"
             , Connection))
    {
      try
      {
        using (SqlDataAdapter Adapter =
                 new SqlDataAdapter(Command))
        {
          using (DataSet Set = new DataSet())
          {
            Connection.Open();
            Adapter.Fill(Set);
            GridView.DataSource = Set.Tables[0];
          }
        }
      }
      catch (SqlException SqlEx)
      {
        foreach (SqlError SqlErr in SqlEx.Errors)
        {
          MessageBox.Show(
            "The following SQL Error occurred: " + SqlErr.Message,
            "SqlError");
        }
      }
    }
  }
}
