private void btnGetXML_Click(object sender, EventArgs e)
{
  using (SqlConnection Connection =
    new SqlConnection(ConfigurationSettings.AppSettings["SqlConn"]))
  {
    using (SqlCommand Command =
      new SqlCommand(
        @"SELECT Resume
          FROM HumanResources.JobCandidate
          WHERE JobCandidateId = 1", Connection))
    {
      try
      {
        Connection.Open();
        using (SqlDataReader Reader = Command.ExecuteReader())
        {
          while (Reader.Read())
          {
            SqlXml SqlX = Reader.GetSqlXml(0);
            XmlDocument XDoc = new XmlDocument();
            XDoc.Load(SqlX.CreateReader());
            txtSqlXml.Text = XDoc.OuterXml;
          }
        }
      }
      catch (SqlException SqlEx)
      {
        foreach (SqlError SqlErr in SqlEx.Errors)
        {
          MessageBox.Show(
            "The following SQL Error occurred: " + SqlErr.Message,
            "SqlError");
        }
      }
    }
  }
