private static SqlConnection _connection = 
  new SqlConnection(ConfigurationSettings.AppSettings["SqlConn"]);

private static SqlCommand _command = 
  new SqlCommand(
    @"SELECT AddressId 
      FROM Person.Address
      WHERE AddressId = 1", _connection);

private static SqlDependency SqlDep = 
  new SqlDependency(_command);

private static SqlDataReader _reader = null;

public void StartDependency()
{
  SqlClientPermission SqlPerm =
    new SqlClientPermission(PermissionState.Unrestricted);
  SqlPerm.Demand();
  SqlDep.OnChange += new OnChangeEventHandler(DepChange);
  connection.Open();
  reader = _command.ExecuteReader();
}

private void DepChange(object sender, SqlNotificationEventArgs e)
{
  MessageBox.Show(e.Info.ToString(), "SqlDependency");
}
