DECLARE @inputXML xml, @XSLT xml

SELECT @inputXML = Resume
FROM HumanResources.JobCandidate
WHERE Resume.exist('
    declare namespace 
    ns="http://schemas.microsoft.com/sqlserver/2004/07/adventure-works/Resume";
    /ns:Resume/ns:Name[ns:Name.First="Shai"]
') = 1

SELECT @XSLT = XmlResource
FROM HumanResources.XmlResources
WHERE XmlResourceName = 'ResumeAddressTransformer'

SELECT dbo.XSLTransform(@inputXML, @XSLT).query('
    declare namespace 
    ns="http://schemas.microsoft.com/sqlserver/2004/07/adventure-works/Resume";
    
    text {(/NameAndAddress/Name/text())[1]},
    text {"&#10;"},
    text {(/NameAndAddress/HomeAddress/HomeStreet/text())[1]},
    text {"&#10;"},
    text {(/NameAndAddress/HomeAddress/HomeCity/text())[1]},
    text {", "},
    text {(/NameAndAddress/HomeAddress/HomeState/text())[1]},
    text {(/NameAndAddress/HomeAddress/HomeZip/text())[1]}
') AS StreetAddress