WITH XMLNAMESPACES(
    'http://schemas.microsoft.com/sqlserver/2004/07/adventure-works/Resume' as ns
)
SELECT
    JC.JobCandidateId,
    E.EmployeeId,
    ResumeTable.XmlColumn.value('ns:Emp.JobTitle[1]', 'nchar(50)') JobTitle
FROM HumanResources.JobCandidate JC
CROSS APPLY JC.Resume.nodes('
        /ns:Resume/ns:Employment[2]
    ') as ResumeTable(XmlColumn)
JOIN HumanResources.Employee E ON
E.EmployeeId = JC.EmployeeId