SELECT
    1 as Tag,
    NULL as Parent,
    Reason.ScrapReasonId 'ScrapReason!1!ScrapReasonId!element',
    Name 'ScrapReason!1!!cdata',
    WorkOrderId 'WorkOrder!2!WorkOrderId',
    NULL 'WorkOrder!2!ScrappedQuantity'
FROM Production.ScrapReason Reason
JOIN Production.WorkOrder WorkOrder
ON Reason.ScrapReasonId = WorkOrder.ScrapReasonID
WHERE Reason.ScrapReasonId = 12

UNION ALL

SELECT
    2 as Tag,
    1 as Parent,
    Reason.ScrapReasonId,
    NULL,
    WorkOrderId,
    ScrappedQty
FROM Production.ScrapReason Reason
JOIN Production.WorkOrder WorkOrder
ON Reason.ScrapReasonId = WorkOrder.ScrapReasonID
WHERE Reason.ScrapReasonId = 12