CREATE PROC dbo.GetEmployeeBasics
(
    @EmployeeId int
)
AS
SELECT
    EmployeeId,
    FirstName,
    LastName,
    e.Title
FROM AdventureWorks.HumanResources.Employee e
JOIN AdventureWorks.Person.Contact p ON
    e.ContactId = p.ContactId
WHERE EmployeeId = @EmployeeId
