CREATE ENDPOINT EPT_SQL2005UnleashedExamples
AUTHORIZATION [MyDomain\SQLWebServicesClient]
STATE = STARTED
AS HTTP
(
    AUTHENTICATION = (INTEGRATED),
    PATH = '/opensql/',
    PORTS = (CLEAR, SSL),
    CLEAR_PORT = 80,
    SSL_PORT = 443,
    SITE = '*',
    COMPRESSION = ENABLED
)
FOR SOAP
(
    WEBMETHOD 'urn:www-samspublishing-com:examples'.'WM_GetEmployeeBasics'
    (
        NAME = 'AdventureWorks.dbo.GetEmployeeBasics',
        SCHEMA = STANDARD,
        FORMAT = ALL_RESULTS
    ),
    WSDL = DEFAULT,
    BATCHES = DISABLED,
    SCHEMA = STANDARD,
    LOGIN_TYPE = WINDOWS,
    SESSION_TIMEOUT = 120,
    DATABASE = 'AdventureWorks',
    NAMESPACE = 'urn:www-samspublishing-com:examples',
    CHARACTER_SET = XML
)