if (txtEmployeeId.Text != string.Empty)
{
    EPT_SQL2005UnleashedExamples SQLEndpointProxy = new EPT_SQL2005UnleashedExamples();
    SQLEndpointProxy.Credentials = System.Net.CredentialCache.DefaultCredentials;
    int EmployeeId = int.Parse(txtEmployeeId.Text);
    object[] ReturnArray = SQLEndpointProxy.WM_GetEmployeeBasics(EmployeeId);

    foreach (object Obj in ReturnArray)
    {
        if (Obj is DataSet)
        {
            DataSet ds = (DataSet)Obj;
            if (ds.Tables.Count == 0)
            {
                lblResults.Text = "(No Results Found)";
            }
            else
            {
                lblResults.Text = "(" + ((SqlRowCount)ReturnArray[1]).Count + " Result(s) Found)";
                gvData.DataSource = ds;
                gvData.DataBind();
            }                
        }
    }            
}