CREATE PROC dbo.GetJobCandidateResumeXml
(
    @JobCandidateId int
)
AS
SELECT
    Resume.query('
      declare namespace 
        ns="http://schemas.microsoft.com/sqlserver/2004/07/adventure-works/Resume";
        /ns:Resume/ns:Name
    ') as "Name",
    Resume.query('
      declare namespace
        ns="http://schemas.microsoft.com/sqlserver/2004/07/adventure-works/Resume";
        /ns:Resume/ns:Skills
    ') as "Skills"
FROM AdventureWorks.HumanResources.JobCandidate
WHERE JobCandidateId = @JobCandidateId
FOR XML PATH('CandidateQuickView')
