select	a.CustomerID, 
		e.name as CustomerName,
		a.CustomerType, 
		a.TerritoryID,
		d.name as TerritoryName,
--		b.SalesOrderID,
--		b.OrderDate,
		c.ProductID,
		f.name as ProductName,
		sum(c.LineTotal) as YTDSalesTotal
-- INTO [Sales].[HotCustomersPlus]
FROM
     [sales].[Customer] a
     INNER JOIN [sales].[SalesOrderHeader] b ON a.customerid = b.customerid
     INNER JOIN [sales].[SalesOrderDetail] c ON b.SalesOrderID = c.SalesOrderID
     INNER JOIN [sales].[SalesTerritory] d   ON a.TerritoryID = d.TerritoryID
     INNER JOIN [sales].[Store] e            ON a.customerid = e.customerid
	 INNER JOIN [Production].[Product] f ON c.productID = f.ProductID
WHERE b.orderdate >= '2004-01-01 00:00:00.000' 
GROUP BY a.customerID,e.name, CustomerType,a.TerritoryID, d.name, c.ProductID,f.name
HAVING sum(c.LineTotal) > 5000
ORDER BY d.name, e.name
