--Listing 44.1 - Using set rowcount to Break a Delete into Multiple Batches

/* declare local variable to hold number of rows affected by each delete and
   initialize it to 10000*/
declare @rows int
set @rows = 10000

/* keep looping and deleting data until all rows are deleted (when value for
   @rows is less than 10000, the last set of remaining rows has been deleted
   from the table */
while @rows = 10000
begin
    delete TOP (10000) from sales_big where ord_date < '1/1/97'

    /* set @rows to the number of rows deleted */
    select @rows = @@rowcount
end
