--Listing 46.10 - Using a Cursor to Accumulate a Sum of a Column for Each Row Updated
declare c1 cursor for
   select isnull(ytd_sales, 0)
     from titles where type = 'business'
     for update of price
go
declare @ytd_sales_total int,
        @ytd_sales int
select @ytd_sales_total = 0
open c1
fetch c1 into @ytd_sales
while @@fetch_status = 0
begin
    update titles
       set price = price
       where current of c1
    select @ytd_sales_total = @ytd_sales_total + @ytd_sales
    fetch c1 into @ytd_sales
end
select @ytd_sales_total as ytd_sales_total
close c1
deallocate c1
go

/*
ytd_sales_total
---------------
30788
*/
