--Listing 46.11 - Using Variable Assignment in an UPDATE Statement to Accumulate a Sum of a Column for Each Row Updated
declare @ytd_sales_total int
set @ytd_sales_total = 0
update titles
   set price = price,
       @ytd_sales_total = @ytd_sales_total + isnull(ytd_sales, 0)
   where type = 'business'
select @ytd_sales_total as ytd_sales_total
go

/*
ytd_sales_total
---------------
30788
*/
