--Listing 46.16 - Specifying a Search Condition in a WHERE Clause
SELECT * FROM DBO.STORES_V1 V1
   LEFT OUTER JOIN DBO.STORES_V2 V2
    ON V1.STOR_ID = V2.STOR_ID
    WHERE V2.STATE <> 'GA'
    ORDER BY V1.STOR_ID ,V2.STATE
go

/*
STOR_ID CITY                 STOR_ID STATE
------- -------------------- ------- -----
A002    Oakland              A002    NJ
A003    Bisbee               A003    AZ
A004    White Plains         A004    MA
A004    White Plains         A004    NY
*/
