USE PLDebitTracking
GO
-- These 3 inserts set up a subscription "manually":
INSERT INTO PLInstance.NSSubscriberView
(
  SubscriberId,
  Enabled
)
VALUES
(
  'PLDebitTestSubscriber',
  1
)
GO
INSERT INTO PLInstance.NSSubscriberDeviceView
(
  SubscriberId,
  Enabled,
  DeviceName,
  DeviceAddress,
  DeviceTypeName,
  DeliveryChannelName
)
VALUES
(
  'PLDebitTestSubscriber',
  1,
  'DefaultDevice',
  'TestSubscriber@SAMSPublishing.com',
  'File',
  'FileChannel'
)
GO
INSERT INTO PLApplication.NSPLDebitSubscriptionView
(
  SubscriberId,
  Enabled,
  AccountNumber,
  InstitutionName,
  ThresholdAmount
)
VALUES
(
  'PLDebitTestSubscriber',
  'Enabled',
  '0123456789',
  'First Bank of SSNS',
  25
)
GO
